%MYSUB		8-bit subtraction
%		MYSUB(A, B) implements subtraction of two 8-bit numbers
%		with wrap-around logic. Inputs A and B are 8-bit integers.
%		This function subtracts B from A and returns an 8-bit result.

% Copyright (c) 1998-1999 The University of Texas
% All rights reserved.
% See the file COPYRIGHT for copyright notice, limitation
% of liability, and disclaimer of warranty provisions.

function x=mysub(a,b);

x=a-b;					% Subtract the two numbers
x=rem(x,256);				% Extract the lower 8 bits
if(x>127)				% Since number is signed, the valid
 x=(x-256);				% range for positive numbers is 0 to
end;					% +127 and negative numbers is -128 to
if(x<-128)				% -1. Use wrap-around logic to impose
 x=(256+x);				% these limits
end;
